Get Postgres service metadata and capabilities
GET
/v1/projects/{project_id}/services/{service_id}
const url = 'https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?live=false';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-dev.impulsehosting.com/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/services/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?live=false' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
string format: uuid
service_id
required
string format: uuid
Query Parameters
Section titled “Query Parameters”live
boolean
Include the safe live health projection.
Responses
Section titled “Responses”Service
Media typeapplication/json
object
id
required
string format: uuid
project_id
required
string format: uuid
type
required
string
plan
required
string
name
required
string
status
required
string
endpoint
string
capabilities
object
live
object
enabled
boolean
reveal_credential
object
enabled
boolean
actions
Array<object>
object
name
required
string
label
required
string
enabled
required
boolean
scopes
Array<string>
reason
string
live
object
key
additional properties
any
Example
{ "type": "postgres", "capabilities": { "actions": [ { "name": "credential_connectivity" } ] }}Resource not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}